/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4;
color: #666;
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <April 1, 2026> */

:root {
	--clr-white: #ffffff;
	--clr-black: #2f241e;
	--clr-primary: #345c45;
	--clr-secondary: #2582ad;
	
	--font-herotitle: clamp(3rem, 2.0625rem + 3vw, 3.75rem); /*60px*/
	--font-title: clamp(2.8125rem, 2.5781rem + 0.75vw, 3rem); /*48px*/
	--font-spantitle: clamp(1.14625rem, 0.9657rem + 0.7405vw, 1.854375rem); /*29.67px*/
	--font-subtitle: clamp(1rem, 0.8172rem + 0.585vw, 1.14625rem); /*18.34px*/
}
/**/
	/*fonts*/

	/*btns*/
		.ry-btn-white{
			color: var(--clr-black)!important;
			background: var(--clr-white) !important;
			border: 1px solid var(--clr-white) !important;
		}
		.ry-btn-white:hover{
			color: var(--clr-white) !important;
			background: transparent !important;
			border: 1px solid var(--clr-white) !important;
		}
        .ry-menu .ry-nav li.dropdown .dropdown-menu li {
            background: var(--color-primary-background);
            color: #374151;
        }
/*Modal*/
/* Header */
	/**/
body[data-page-name="index"] #navigation {
    position: absolute;
}
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
.cta-btn:nth-child(odd) {
    background: var(--color-primary-background);
}

.cta-btn:nth-child(odd):hover {
    background: transparent !important;
    border-color: var(--color-primary-background);
    color: var(--color-primary-background);
}
.mobile-menu-icon:nth-child(odd) {
    background: var(--color-primary-background);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
.cta-btn {
    border-radius: 999px;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-flex {
    align-items: center;
    gap: 6.6vh;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-bottom: 80%;
}

.module-welcome.style-5 {
    padding: 16.6vh 0;
}

.module-welcome.style-5:before {
    background-position: right;
}
.module-welcome.style-5 .ry-text p {
            font-size: 1.25rem;
        line-height: 1.75rem;
}
/* Services */
	/**/

#services-12 > div:nth-child(even) > div > p,#services-12 > div:nth-child(odd) > div > p {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    color: #666;
}

#services-12 > div:nth-child(even), #services-12 > div:nth-child(odd) {
    background-color: white;
}

#services-12 > div:nth-child(even) > div > h4, #services-12 > div:nth-child(odd) > div > h4 {
    color: #374151;
}
/* Dry Eye */
#section-hp-services.custom-hp-dry-eye:before {
    height: 50%;
    top: auto;
    bottom: 0;
	background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-2ac8e8dc-6c06-4fae-8b01-1809ee7282b9/backgrounds/EHP_dryEye_bg.png);
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
/* Brand */
	/**/
#hp-brands-6 .overflow-hidden {
    padding: 0;
}

#hp-brands-6 .swiper-slide {
    background: #6b72800d
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/

.module-testimonials.style-2::before, .module-testimonials.style-3::after {
    height: 100%;
	background: url(https://s3.amazonaws.com/static.organiclead.com/Site-2ac8e8dc-6c06-4fae-8b01-1809ee7282b9/backgrounds/EHP_testimonials_bg.jpg) center bottom no-repeat;
    background-size: cover;
}
.module-testimonials.style-2 .p-4:last-child {
    padding: 0;
}
/* Footer */
	/**/
/*Media Queries*/
	/**/
@media (max-width:1024px) {
	body[data-page-name="index"] #navigation {
		position: relative;
	}
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
@media (width < 1080px) {
    .module-welcome.style-5:before {
        opacity: 1;
        background-position: center;
    }
    #section-hp-services:before, .module-19.style2:before, .ry-services.style2::before {
        opacity: 1;
    }
    .module-welcome.style-5 {
        padding: 6.6vh 0;
    }
}
@media screen and (max-width:1023px){
    #section-hp-services.custom-hp-dry-eye:before {
        height: 80%;
    }
}
/* End - HP Edits*/
	
	body[data-page-name="frames"] #hp-brands-6 a.ry-btn.ry-btn-primary {
    display: none;
}